Bug 59776 - g++: Internal error #20010605
g++: Internal error #20010605
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc3 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-12 22:18 EST by Jeff Bellinghausen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-12 22:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This file crashes the compiler. (340 bytes, text/plain)
2002-02-12 22:19 EST, Jeff Bellinghausen
no flags Details

  None (edit)
Description Jeff Bellinghausen 2002-02-12 22:18:11 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010914

Description of problem:
The simple attached code causes an internal compiler error in gcc version 3.1
20011127 (Red Hat Linux Rawhide 3.1-0.10)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Save file
2.type g++ -c prep2.C
3.See the error
	

Actual Results:  When I compile the attached code, the compiler reports:

prep2.C:47: Internal error #20010605.
prep2.C:47: Internal compiler error in build_secondary_vtable, at cp/class.c:
   672
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Expected Results:  The source should have compiled. If I change almost anything
in the file, the code compiles fine. If I change

class I :
  public G,
  public H 
{
};

To:

class I :
  public H,
  public G 
{
};

That is, just change the order of the listed parent classes, the compile works fine.

Additional info:
Comment 1 Jeff Bellinghausen 2002-02-12 22:19:04 EST
Created attachment 45481 [details]
This file crashes the compiler.
Comment 2 Jakub Jelinek 2002-02-13 14:58:09 EST
Submitted as PR against CVS g++, this is part of the code I don't know very well.

Note You need to log in before you can comment on or make changes to this bug.